if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

getent group gnome-remote-desktop >/dev/null || groupadd -r gnome-remote-desktop
getent passwd gnome-remote-desktop >/dev/null || \
    useradd -r -g gnome-remote-desktop -d /var/lib/gnome-remote-desktop -s /sbin/nologin \
    -c "GNOME Remote Desktop" gnome-remote-desktop

if [ -d var/lib/gnome-remote-desktop ]; then
     chroot . chown gnome-remote-desktop:gnome-remote-desktop var/lib/gnome-remote-desktop
fi

